List meter-level performance

Lists all meter-level data (Baseline, Dispatch and Performance) in the given date range.

Body Params
dispatch_event_types
array of objects

Optionally limit the event types to return in the response. By default, we include DAY_AHEAD, HOUR_AHEAD, CAPACITY_TEST and STANDARD.

dispatch_event_types
programs
array of strings | null

List of the programs we want to get data for. If not provided, we return data for all programs.

programs
date-time
required

ISO-8601 timestamp of the first date to include in the results. This timestamp is inclusive, as opposed to date_range_end, which is exclusive. If an interval starts in the given date/time range, it will be included in the results. Note that there is a maximum of 31 days between date_range_start and date_range_end as the response might otherwise become too large.

date-time
required

ISO-8601 timestamp of the last date to include in the results. This timestamp is exclusive, as opposed to date_range_start, which is inclusive. If an interval starts in the given date/time range, it will be included in the results. Note that there is a maximum of 31 days between date_range_start and date_range_end as the response might otherwise become too large.

meter_ids
array of objects
required

List of meters to get data for.

meter_ids*
string
enum
Defaults to INTERVAL_15MIN

Interval of the data. Leap supports INTERVAL_15MIN and INTERVAL_1HR for now and we default to INTERVAL_15MIN. For 1-hour intervals, we roll up 15-min intervals and average the wh values. If we don't have exactly 4 15-min intervals to roll up into an hour worth of data, we simply ignore that entire hour.

Allowed:
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

Returns 400 if the request is invalid. The response body will contain a detailed error message.

429

Returns 429 if the request is rate limited. The response body will contain a detailed error message.

Language
Credentials
Bearer
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json